commit:     3cd058972dd8fd0375065e426d0a8211b09944af
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 31 23:01:55 2020 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Oct 31 23:04:56 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3cd05897

net-im/vacuum: EAPI-7, cmake.eclass, drop IUSE=adiummessagestyle

- Add missing BDEPEND
- Fix typo
- Drop nonexistent blocker net-im/vacuum-spellchecker

Closes: https://bugs.gentoo.org/737940
Closes: https://bugs.gentoo.org/740658
Package-Manager: Portage-3.0.8, Repoman-3.0.2
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 net-im/vacuum/metadata.xml                    |  1 -
 net-im/vacuum/vacuum-1.3.0_pre20180105.ebuild | 22 +++++++++++-----------
 net-im/vacuum/vacuum-9999.ebuild              | 27 +++++++++++++--------------
 3 files changed, 24 insertions(+), 26 deletions(-)

diff --git a/net-im/vacuum/metadata.xml b/net-im/vacuum/metadata.xml
index 69557bbd0f9..724d412c261 100644
--- a/net-im/vacuum/metadata.xml
+++ b/net-im/vacuum/metadata.xml
@@ -14,7 +14,6 @@
                <name>Proxy Maintainers</name>
        </maintainer>
        <use>
-               <flag name="adiummessagestyle">Use UI styles created for 
Adium</flag>
                <flag name="annotations">Enable adding comments to the contacts 
in the roster</flag>
                <flag name="autostatus">Change the status in accordance with 
the time of inactivity</flag>
                <flag name="avatars">Enable assigning and displaying 
avatars</flag>

diff --git a/net-im/vacuum/vacuum-1.3.0_pre20180105.ebuild 
b/net-im/vacuum/vacuum-1.3.0_pre20180105.ebuild
index cdb7af2a260..7da48efb53a 100644
--- a/net-im/vacuum/vacuum-1.3.0_pre20180105.ebuild
+++ b/net-im/vacuum/vacuum-1.3.0_pre20180105.ebuild
@@ -1,11 +1,10 @@
 # Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
 PLOCALES="de es pl ru uk"
-
-inherit cmake-utils l10n
+inherit cmake l10n
 
 MY_PN="${PN}-im"
 MY_PV="${PV/_pre/.}-Alpha"
@@ -18,7 +17,7 @@ 
SRC_URI="https://github.com/Vacuum-IM/${MY_PN}/archive/${MY_PV}.tar.gz -> ${MY_P
 LICENSE="GPL-3"
 SLOT="0/37" # subslot = libvacuumutils soname version
 KEYWORDS="~amd64 ~x86"
-PLUGINS=( adiummessagestyle annotations autostatus avatars birthdayreminder 
bitsofbinary bookmarks captchaforms chatstates clientinfo commands compress 
console dataforms datastreamsmanager emoticons filemessagearchive 
filestreamsmanager filetransfer gateways inbandstreams iqauth jabbersearch 
messagearchiver messagecarbons multiuserchat pepmanager privacylists 
privatestorage recentcontacts registration remotecontrol rosteritemexchange 
rostersearch servermessagearchive servicediscovery sessionnegotiation 
shortcutmanager socksstreams urlprocessor vcard xmppuriqueries )
+PLUGINS=( annotations autostatus avatars birthdayreminder bitsofbinary 
bookmarks captchaforms chatstates clientinfo commands compress console 
dataforms datastreamsmanager emoticons filemessagearchive filestreamsmanager 
filetransfer gateways inbandstreams iqauth jabbersearch messagearchiver 
messagecarbons multiuserchat pepmanager privacylists privatestorage 
recentcontacts registration remotecontrol rosteritemexchange rostersearch 
servermessagearchive servicediscovery sessionnegotiation shortcutmanager 
socksstreams urlprocessor vcard xmppuriqueries )
 SPELLCHECKER_BACKENDS="aspell +enchant hunspell"
 IUSE="${PLUGINS[@]/#/+} ${SPELLCHECKER_BACKENDS} +spell"
 
@@ -43,6 +42,9 @@ REQUIRED_USE="
        spell? ( ^^ ( ${SPELLCHECKER_BACKENDS//+/} ) )
 "
 
+BDEPEND="
+       dev-qt/linguist-tools:5
+"
 DEPEND="
        dev-qt/qtcore:5
        dev-qt/qtgui:5
@@ -53,7 +55,6 @@ DEPEND="
        net-dns/libidn
        sys-libs/zlib[minizip]
        x11-libs/libXScrnSaver
-       adiummessagestyle? ( dev-qt/qtwebkit:5 )
        filemessagearchive? ( dev-qt/qtsql:5[sqlite] )
        messagearchiver? ( dev-qt/qtsql:5[sqlite] )
        spell? (
@@ -71,14 +72,13 @@ DOCS=( AUTHORS CHANGELOG README TRANSLATORS )
 S="${WORKDIR}/${MY_P}"
 
 src_prepare() {
+       cmake_src_prepare
+
        # Force usage of system libraries
        rm -rf src/thirdparty/{hunspell,idn,minizip,qtlockedfile,zlib} || die
 
-       # Supress find thirdparty library in the system
-       sed -i -r -e "/find_library.+qxtglobalshortcut/d" \
-               CMakeLists.txt || die
-
-       cmake-utils_src_prepare
+       # Suppress find thirdparty library in the system
+       sed -i -r -e "/find_library.+qxtglobalshortcut/d" CMakeLists.txt || die
 }
 
 src_configure() {
@@ -100,5 +100,5 @@ src_configure() {
                use "${i}" && mycmakeargs+=( -DSPELLCHECKER_BACKEND="${i}" )
        done
 
-       cmake-utils_src_configure
+       cmake_src_configure
 }

diff --git a/net-im/vacuum/vacuum-9999.ebuild b/net-im/vacuum/vacuum-9999.ebuild
index edcb05c884a..a5e9347a9ba 100644
--- a/net-im/vacuum/vacuum-9999.ebuild
+++ b/net-im/vacuum/vacuum-9999.ebuild
@@ -1,11 +1,11 @@
 # Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
-EGIT_REPO_URI="https://github.com/Vacuum-IM/vacuum-im.git";
+EGIT_REPO_URI="https://github.com/Vacuum-IM/vacuum-im";
 PLOCALES="de es pl ru uk"
-inherit cmake-utils git-r3 l10n
+inherit cmake git-r3 l10n
 
 DESCRIPTION="Qt Crossplatform Jabber client"
 HOMEPAGE="http://www.vacuum-im.org/";
@@ -13,7 +13,7 @@ HOMEPAGE="http://www.vacuum-im.org/";
 LICENSE="GPL-3"
 SLOT="0/37" # subslot = libvacuumutils soname version
 KEYWORDS=""
-PLUGINS=( adiummessagestyle annotations autostatus avatars birthdayreminder 
bitsofbinary bookmarks captchaforms chatstates clientinfo commands compress 
console dataforms datastreamsmanager emoticons filemessagearchive 
filestreamsmanager filetransfer gateways inbandstreams iqauth jabbersearch 
messagearchiver messagecarbons multiuserchat pepmanager privacylists 
privatestorage recentcontacts registration remotecontrol rosteritemexchange 
rostersearch servermessagearchive servicediscovery sessionnegotiation 
shortcutmanager socksstreams urlprocessor vcard xmppuriqueries )
+PLUGINS=( annotations autostatus avatars birthdayreminder bitsofbinary 
bookmarks captchaforms chatstates clientinfo commands compress console 
dataforms datastreamsmanager emoticons filemessagearchive filestreamsmanager 
filetransfer gateways inbandstreams iqauth jabbersearch messagearchiver 
messagecarbons multiuserchat pepmanager privacylists privatestorage 
recentcontacts registration remotecontrol rosteritemexchange rostersearch 
servermessagearchive servicediscovery sessionnegotiation shortcutmanager 
socksstreams urlprocessor vcard xmppuriqueries )
 SPELLCHECKER_BACKENDS="aspell +enchant hunspell"
 IUSE="${PLUGINS[@]/#/+} ${SPELLCHECKER_BACKENDS} +spell"
 
@@ -38,6 +38,9 @@ REQUIRED_USE="
        spell? ( ^^ ( ${SPELLCHECKER_BACKENDS//+/} ) )
 "
 
+BDEPEND="
+       dev-qt/linguist-tools:5
+"
 DEPEND="
        dev-qt/qtcore:5
        dev-qt/qtgui:5
@@ -48,7 +51,6 @@ DEPEND="
        net-dns/libidn
        sys-libs/zlib[minizip]
        x11-libs/libXScrnSaver
-       adiummessagestyle? ( dev-qt/qtwebkit:5 )
        filemessagearchive? ( dev-qt/qtsql:5[sqlite] )
        messagearchiver? ( dev-qt/qtsql:5[sqlite] )
        spell? (
@@ -57,21 +59,18 @@ DEPEND="
                hunspell? ( app-text/hunspell )
        )
 "
-RDEPEND="${DEPEND}
-       !net-im/vacuum-spellchecker
-"
+RDEPEND="${DEPEND}"
 
 DOCS=( AUTHORS CHANGELOG README TRANSLATORS )
 
 src_prepare() {
+       cmake_src_prepare
+
        # Force usage of system libraries
        rm -rf src/thirdparty/{hunspell,idn,minizip,qtlockedfile,zlib} || die
 
-       # Supress find thirdparty library in the system
-       sed -i -r -e "/find_library.+qxtglobalshortcut/d" \
-               CMakeLists.txt || die
-
-       cmake-utils_src_prepare
+       # Suppress find thirdparty library in the system
+       sed -i -r -e "/find_library.+qxtglobalshortcut/d" CMakeLists.txt || die
 }
 
 src_configure() {
@@ -93,5 +92,5 @@ src_configure() {
                use "${i}" && mycmakeargs+=( -DSPELLCHECKER_BACKEND="${i}" )
        done
 
-       cmake-utils_src_configure
+       cmake_src_configure
 }

Reply via email to